child_process.cpp File Reference
`#include <core/posix/child_process.h>`
`#include <boost/iostreams/device/file_descriptor.hpp>`
`#include <boost/iostreams/stream.hpp>`
`#include <atomic>`
`#include <fstream>`
`#include <mutex>`
`#include <unordered_map>`
`#include <fcntl.h>`
`#include <poll.h>`
`#include <unistd.h>`
`#include <sys/eventfd.h>`
`#include <sys/signalfd.h>`
Include dependency graph for child_process.cpp:

Go to the source code of this file.

## Classes

struct | core::posix::ChildProcess::Private

## Namespaces

| core
| core::posix